View Issue Details

IDProjectCategoryView StatusLast Update
0000540CaseTalk Viewer[All Projects] Generalpublic2014-11-10 17:12
ReporterBCP Software 
Assigned ToBCP Software 
PrioritynormalSeverityfeatureReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version1.3 
Target Version2.1Fixed in Version2.1 
Summary0000540: Support weak entity types
DescriptionEntity types (tables) consisting only of foreign keys can be considered to be weak entity types. Therefor they can be drawn using a dotted line instead of a solid line.
TagsNo tags attached.

Relationships

Activities

BCP Software

BCP Software

2014-11-03 13:43

administrator   ~0000305

ER Entity weak types are those entitites which have a primary key consisting entirely of a foreign key. They are drawn with rounded edges, and the relations are dotted.

Issue History

Date Modified Username Field Change
2014-10-31 16:00 BCP Software New Issue
2014-10-31 16:00 BCP Software Status new => assigned
2014-10-31 16:00 BCP Software Assigned To => BCP Software
2014-11-03 13:43 BCP Software Note Added: 0000305
2014-11-03 13:43 BCP Software Status assigned => resolved
2014-11-03 13:43 BCP Software Fixed in Version => 2.0
2014-11-03 13:43 BCP Software Resolution open => fixed
2014-11-10 17:10 BCP Software Fixed in Version 2.0 => 2.1
2014-11-10 17:12 BCP Software Target Version => 2.1